Bug 40176 - Show special paste options when needed
Summary: Show special paste options when needed
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste-Special
  Show dependency treegraph
 
Reported: 2011-08-17 11:18 UTC by mrkazoodle
Modified: 2019-06-10 13:21 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mrkazoodle 2011-08-17 11:18:51 UTC
The example:
When I tried pasting a text into Writer, it gave a message that the "Requested clipboard format is not available".

The problem:
All I can do is press the "OK" button. This does NOT solve my problem as I still need to paste that piece of text into Writer. I need to paste-copy the text in a notepad like application OR I need to know of the existence of the "Paste special" function.

The possible solutions:
 * Ask if the user wants to paste the text without formatting,
 * redirect to the "Paste special" dialog,
 * ...
Comment 1 Björn Michaelsen 2011-12-23 12:32:59 UTC Comment hidden (obsolete)
Comment 2 sasha.libreoffice 2012-01-31 05:47:54 UTC
I have never seen message "Requested clipboard format is not available".
My be it is bug in some program? How can be this reproduced?
Comment 3 philip_hoflack 2012-04-13 07:00:43 UTC
I don't know it this is a bug and by now I don't know any more what the source of the copied text was, but it was only with that specific piece of copied text that I had the problem.
My conclusion is that when something is pasted, writer checks the format of what's in the clipboard and if it isn't recognised, gives the error message that I received.
Comment 4 Omri Har-Shemesh 2012-05-10 04:55:33 UTC
I came across the same behavior while trying to copy a citation from Mendeley desktop to Writer (on Ubuntu 10.10).

Suggested solution sounds good to me :)
Comment 5 Florian Reisinger 2012-08-14 13:57:35 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 13:58:55 UTC Comment hidden (obsolete)
Comment 7 Florian Reisinger 2012-08-14 14:03:28 UTC Comment hidden (obsolete)
Comment 8 Florian Reisinger 2012-08-14 14:05:43 UTC Comment hidden (obsolete)
Comment 9 Denis Silakov 2013-09-18 10:58:03 UTC
The issue is still valid even with LibreOffice 4.1.

A possible way to reproduce the issue is described here - http://bugs.rosalinux.ru/show_bug.cgi?id=1483:

Description of problem:
1. Open speedtest.net in firefox.
2. Choose server and launch test
3. After ending click Share Results and copy URL in the appropriate field
4. You can paste this text into kwrite
5. But if You try paste this text to LibreOffice Writer You get an error (screenshot is attached)
6. You can paste the text only using Klipper
Comment 10 sasha.libreoffice 2013-09-18 11:06:06 UTC
Thanks for additional testing.
In this case problem is in Flash player.

IMHO we should close this bug with status NotOurBug
Comment 11 philip_hoflack 2013-09-18 14:08:50 UTC
No it shouldn't be closed yet: the problem is not that the input is bad, it is the way LO handles the problem.

A user doesn't care if flash causes the copied text to have some kind of error in it which makes it unpasteable, he wants it done or at least get an error that helps him a bit further.

"Requested clipboard format is not available" does not suffice, look again to my first post for my suggestion how to solve this.
Comment 12 sasha.libreoffice 2013-09-19 10:59:36 UTC
About comment 9:
not reproducible in LO 3.4 and 3.5 on WinXP 32 bit, Firefox

If it is Linux-specific bug, then please tell me. I will try on Ubuntu.
And, please, tell me Linux analog of clipbrd.exe
Comment 13 philip_hoflack 2013-09-19 11:44:05 UTC
(In reply to comment #12)


I tested it and I also couldn't reproduce this on Windows 7 64Bit using version 3.6.3.2 (portableapps version).
Comment 14 dg1727 2014-02-09 12:01:44 UTC
I can reproduce the issue (using steps in comment 9) on LO 4.1.4.2 on Ubuntu.  I believe the point of comment 13 is that the issue isn't reproducible on Windows, not that the issue isn't reproducible at all.  (The previous commenters were fairly clear about this, but I wanted to clarify a bit further.)  

I agree with the suggested solutions in comment 0.  (Apparently mrkazoodle@gmail.com and philip_hoflack@hotmail.com are the same person, per comment 11 and comment 3.)  

I searched in the source code:  
The symbol for the error message in question is MSG_CLPBRD_FORMAT_ERROR
It appears in 
http://opengrok.libreoffice.org/xref/core/sw/source/ui/dochdl/swdtflvr.cxx
in methods
_PasteFileContent (twice)
_PasteDBData
_PasteFileList
Comment 15 philip_hoflack 2014-02-22 16:52:33 UTC
(In reply to comment #14)
> I can reproduce the issue (using steps in comment 9) on LO 4.1.4.2 on
> Ubuntu.  I believe the point of comment 13 is that the issue isn't
> reproducible on Windows, not that the issue isn't reproducible at all.  (The
> previous commenters were fairly clear about this, but I wanted to clarify a
> bit further.)

I was trying to reproduce the issue using the steps in comment 9, but couldn't and you're right: I could have been clearer about this.

> I agree with the suggested solutions in comment 0.  (Apparently
> mrkazoodle@gmail.com and philip_hoflack@hotmail.com are the same person, per
> comment 11 and comment 3.)

Hm, seems I registered twice, how silly :p

> I searched in the source code:  
> The symbol for the error message in question is MSG_CLPBRD_FORMAT_ERROR
> It appears in 
> http://opengrok.libreoffice.org/xref/core/sw/source/ui/dochdl/swdtflvr.cxx
> in methods
> _PasteFileContent (twice)
> _PasteDBData
> _PasteFileList

Thanks! Hopefully this bug report will lead to an improvement :)
Comment 16 Joel Madero 2014-11-06 00:36:04 UTC Comment hidden (obsolete)
Comment 17 Robinson Tryon (qubit) 2014-12-22 05:17:45 UTC Comment hidden (obsolete)
Comment 18 Simon Reed 2015-05-24 18:00:09 UTC
Just tried to reproduce this speedtest.net problem and it still exists in LibreOffice 4.2.8.2 on Linux Mint 17.1

If it helps, I think the problem is Linux-specific and it is also Adobe Flash specific.

If so, reports 68765 and 76338 are related.  As is the problem I am having using a similar copy-to-clipboard function on https://www.citethisforme.com/ which also uses Adobe Flash.  (It used to work on that web site but they changed it a few weeks ago to Flash and it has not worked since.)  It just makes LibreOffice say "Requested clipboard format is not available.".
Comment 19 Yousuf Philips (jay) (retired) 2015-05-31 08:53:13 UTC
This is a linux only issue as mention in my bug 76338 and this is more of a bug than an enhancement as libreoffice should be picking the correct paste option.
Comment 20 Robinson Tryon (qubit) 2016-08-25 05:26:54 UTC Comment hidden (obsolete)
Comment 21 Heiko Tietze 2017-11-14 13:29:55 UTC
If we want to change anything the best is to "improve" the text like "Cannot paste clipboard content."

But NOTOURBUG in my opinion (up to QA/Dev).
Comment 22 QA Administrators 2018-11-15 03:43:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug